{
    "function": "set_components",
    "components": {
      "custom_data": {
        "or_is_tool": true,
        "or_can_cause_bleeding": true,
        "or_offhand_dependent_interactable": true,
        "or_tool_material": "wooden",
        "or_tool_type": "sword",
        "or_item_has_weight": true,
        "or_item_weight_type": "percent",
        "or_item_weight_value": 3
      },
    "enchantments": {
      "overly_realistic:or_internal_tool/or_internal_tool_sword": 1,
      "overly_realistic:or_internal_tool/or_internal_tool_general": 1
    },
    "enchantment_glint_override": false,
    "rarity": "common",
    "tooltip_display": {
      "hidden_components": [
        "enchantments"
      ]
    },
    "item_name": {
      "translate": "item.minecraft.wooden_sword",
      "color": "white"
    },
        "minecraft:attribute_modifiers": [
        {
          "type": "minecraft:attack_damage",
          "amount": 3.0,
          "id": "minecraft:base_attack_damage",
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:attack_speed",
          "amount": -2.4000000953674316,
          "id": "minecraft:base_attack_speed",
          "operation": "add_value",
          "slot": "mainhand"
        },
        {
          "type": "minecraft:entity_interaction_range",
          "amount": 0.8,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.8 Entity Reach",
              "color": "dark_green"
            }
          }
        },
        {
          "type": "minecraft:block_interaction_range",
          "amount": 0.8,
          "id": "overly_realistic:player_item_reach_buff",
          "operation": "add_value",
          "slot": "mainhand",
          "display": {
            "type": "override",
            "value": {
              "text": " 0.8 Block Reach",
              "color": "dark_green"
            }
          }
        }
      ]
    }
}